librevenge::RVNGPropertyList::Iter Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGPropertyList::Iter Class Reference

`#include <RVNGPropertyList.h>`

## Public Member Functions
| Iter (const RVNGPropertyList &propList)
virtual | ~Iter ()
void | rewind ()
bool | next ()
bool | last ()
const RVNGProperty * | operator() () const
const char * | key () const
const RVNGPropertyListVector * | child () const

## Private Member Functions
| Iter (const Iter &)
Iter & | operator= (const Iter &)

## Private Attributes
RVNGPropertyListIterImpl * | m_iterImpl

## Constructor & Destructor Documentation

librevenge::RVNGPropertyList::Iter::Iter | ( | const RVNGPropertyList & | propList | ) |

librevenge::RVNGPropertyList::Iter::~Iter | ( |  | ) |
| virtual

librevenge::RVNGPropertyList::Iter::Iter | ( | const Iter & |  | ) |
| private

## Member Function Documentation

const RVNGPropertyListVector * librevenge::RVNGPropertyList::Iter::child | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::getPropString().

const char * librevenge::RVNGPropertyList::Iter::key | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::getPropString(), librevenge::RVNGTextTextGenerator::setDocumentMetaData(), and librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData().

bool librevenge::RVNGPropertyList::Iter::last | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::getPropString().

bool librevenge::RVNGPropertyList::Iter::next | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::getPropString(), librevenge::RVNGTextTextGenerator::setDocumentMetaData(), and librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData().

const RVNGProperty * librevenge::RVNGPropertyList::Iter::operator() | ( |  | ) | const

Iter& librevenge::RVNGPropertyList::Iter::operator= | ( | const Iter & |  | ) |
| private

void librevenge::RVNGPropertyList::Iter::rewind | ( |  | ) |

Referenced by librevenge::RVNGTextTextGenerator::setDocumentMetaData(), and librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData().

## Member Data Documentation

RVNGPropertyListIterImpl* librevenge::RVNGPropertyList::Iter::m_iterImpl
| private

Referenced by child(), key(), last(), next(), operator()(), rewind(), and ~Iter().

The documentation for this class was generated from the following files:

- RVNGPropertyList.h
- RVNGPropertyList.cpp